> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get items

> Retrieves a paginated list of items. Supply filter + sort + pageSize + pageNumber for page-based results, or a cursor for cursor-based results. cursor is mutually exclusive with filter/sort/pageSize/pageNumber.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/items
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/items:
    get:
      tags:
        - Items
      summary: Get items
      description: >-
        Retrieves a paginated list of items. Supply filter + sort + pageSize +
        pageNumber for page-based results, or a cursor for cursor-based results.
        cursor is mutually exclusive with filter/sort/pageSize/pageNumber.
      parameters:
        - name: Search
          in: query
          schema:
            type: string
        - name: Name
          in: query
          schema:
            type: string
        - name: CustomId
          in: query
          schema:
            type: string
        - name: Description
          in: query
          schema:
            type: string
        - name: Brand
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: Supplier
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: CompanyContactPerson
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: SupplierContactPerson
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: Category
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: Unit
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: DefaultQtyFrom
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
            type:
              - number
              - string
            format: double
        - name: DefaultQtyTo
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
            type:
              - number
              - string
            format: double
        - name: IsActive
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int32
        - name: ReadyForExport
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int32
        - name: LastUpdated
          in: query
          schema:
            type: array
            items:
              type: string
              format: date-time
        - name: CustomFields
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ItemCustomFieldFilterDto'
        - name: sort
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SortDescriptorDto'
        - name: pageSize
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: pageNumber
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfItemDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfItemDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfItemDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    ItemCustomFieldFilterDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        type:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldTypeDto'
        values:
          type:
            - 'null'
            - array
          items:
            type: string
        allowedValueIds:
          type:
            - 'null'
            - array
          items:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        dateFrom:
          type:
            - 'null'
            - string
          format: date-time
        dateTo:
          type:
            - 'null'
            - string
          format: date-time
        allowedDecimals:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: uint8
      additionalProperties: false
    SortDescriptorDto:
      type: object
      properties:
        propertyName:
          type: string
        order:
          $ref: '#/components/schemas/SortOrderDto'
      additionalProperties: false
    ApiPaginatedResponseOfItemDto:
      required:
        - status
        - code
        - data
        - pagination
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/ItemDto'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    CustomFieldTypeDto: {}
    SortOrderDto: {}
    ApiResponseStatus: {}
    ItemDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        description:
          type:
            - 'null'
            - string
        brand:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemBrandDto'
        organization:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemOrganizationDto'
        supplier:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemSupplierDto'
        companyContactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemContactPersonDto'
        supplierContactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemContactPersonDto'
        adminUnit:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemAdminUnitDto'
        logo:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ItemLogoDto'
        lastUpdated:
          type: string
          format: date-time
        deadline:
          type:
            - 'null'
            - string
          format: date-time
        etd:
          type:
            - 'null'
            - string
          format: date-time
        erpItemId:
          type:
            - 'null'
            - string
        defaultQty:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        nameGeneratorExtraText:
          type:
            - 'null'
            - string
        physicalReferenceNumber:
          type:
            - 'null'
            - string
        categories:
          type: array
          items:
            $ref: '#/components/schemas/ItemCategoryDto'
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldResponseDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    PaginationInfo:
      required:
        - hasMore
        - cursor
      type: object
      properties:
        hasMore:
          type: boolean
        cursor:
          type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ItemBrandDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemOrganizationDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemSupplierDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemContactPersonDto:
      type: object
      properties:
        id:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemAdminUnitDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    ItemLogoDto:
      type: object
      properties:
        id:
          type:
            - 'null'
            - string
        url:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemCategoryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/ItemCategoryState'
        usedInItems:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        beginDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    CustomFieldResponseDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId1:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
        perColorValues:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldPerColorValueDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    ItemCategoryState: {}
    CustomFieldValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldPerColorValueDto:
      type: object
      properties:
        styleColorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
      additionalProperties: false

````